Retrieve talking avatar video
curl --request GET \
--url https://api.jogg.ai/v2/avatar_video/{id} \
--header 'x-api-key: <api-key>'import requests
url = "https://api.jogg.ai/v2/avatar_video/{id}"
headers = {"x-api-key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'x-api-key': '<api-key>'}};
fetch('https://api.jogg.ai/v2/avatar_video/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"code": 0,
"msg": "Success",
"data": {
"video_id": "video_123456",
"status": "completed",
"video_url": "https://example.com/videos/video_123456.mp4",
"cover_url": "https://example.com/covers/video_123456.jpg",
"created_at": 1640995200
}
}Video
Get Avatar Video Status
Get video information and status by video ID
GET
/
v2
/
avatar_video
/
{id}
Retrieve talking avatar video
Retrieve the status and details of an avatar video by its project ID. Use this endpoint to check if video generation is complete and get the video URL.
Example Usage
curl --request GET \
--url 'https://api.jogg.ai/v2/avatar_video/vid_abc123' \
--header 'x-api-key: YOUR_API_KEY'
Related Guides
Create Avatar Videos Guide
Learn how to create avatar videos
Authorizations
API key for authentication. Obtain your key from the JoggAI dashboard.
Path Parameters
Video ID from video creation endpoint
Example:
"video_123456"
Response
200 - application/json
Success
Business status code:
- 0 - Success
- 10104 - Record not found
- 10105 - Invalid API key
- 18020 - Insufficient credit
- 18025 - No permission to call APIs
- 40000 - Parameter error
- 50000 - System error
Example:
0
Response message
Example:
"Success"
Show child attributes
Show child attributes

